Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X POST "https://api.box.com/2.0/storage_policy_assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"storage_policy": {
"type": "storage_policy",
"id": "1434325"
},
"assigned_to": {
"type": "user",
"id": "9987987"
}
}'{
"id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
"type": "storage_policy_assignment",
"storage_policy": {
"id": "11446498",
"type": "storage_policy"
},
"assigned_to": {
"id": "11446498",
"type": "file"
}
}Creates a storage policy assignment for an enterprise or user.
curl -i -X POST "https://api.box.com/2.0/storage_policy_assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"storage_policy": {
"type": "storage_policy",
"id": "1434325"
},
"assigned_to": {
"type": "user",
"id": "9987987"
}
}'{
"id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
"type": "storage_policy_assignment",
"storage_policy": {
"id": "11446498",
"type": "storage_policy"
},
"assigned_to": {
"id": "11446498",
"type": "file"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Returns the new storage policy assignment created.
The assignment of a storage policy to a user or enterprise.
The unique identifier for a storage policy assignment.
"ZW50ZXJwcmlzZV8xMjM0NTY3ODkw"
The value will always be storage_policy_assignment.
storage_policy_assignment "storage_policy_assignment"
The assigned storage policy.
Show child attributes
The enterprise or use the policy is assigned to.
Show child attributes
Was this page helpful?